Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MemBuffer Class Reference
Inheritance diagram for MemBuffer:

## Public Member Functions
| MemBuffer (char *data, size_t len)
| Constructure to use an external buffer.
| MemBuffer (size_t len)
| Constructure to locall allocate a buffer.
| MemBuffer (void)
| default constructor
virtual | ~MemBuffer ()
| CLean UP a mess on Deletion.
char * | GetBuffer (void)
| Access to the actual BUffer.
const char * | GetBuffer (void) const
size_t | GetBufferSize (void) const
| Access to the BUffer Size Information.
void | GrowBuffer (size_t len)
| Grow a buffer is needed to get to a sertion size No care is made here to preserve convtent unlike a vector of chars.
bool | InBufferRange (char *)
void | SetBuffer (char *data, size_t len)
| Assigns a buffer.

## Detailed Description

Definition at line 4 of file membuffer.h.

## Constructor & Destructor Documentation

## ◆ MemBuffer() [1/3]

MemBuffer::MemBuffer | ( | void |  | ) |
| inline

default constructor

Definition at line 30 of file membuffer.I.

## ◆ MemBuffer() [2/3]

MemBuffer::MemBuffer | ( | size_t | len | ) |
| inline

Constructure to locall allocate a buffer.

Definition at line 40 of file membuffer.I.

## ◆ MemBuffer() [3/3]

MemBuffer::MemBuffer | ( | char * | data,
|  | size_t | len )
| inline

Constructure to use an external buffer.

Definition at line 48 of file membuffer.I.

## ◆ ~MemBuffer()

MemBuffer::~MemBuffer | ( |  | ) |
| inline virtual

CLean UP a mess on Deletion.

Definition at line 58 of file membuffer.I.

## Member Function Documentation

## ◆ GetBuffer() [1/2]

char * MemBuffer::GetBuffer | ( | void |  | ) |
| inline

Access to the actual BUffer.

Definition at line 113 of file membuffer.I.

## ◆ GetBuffer() [2/2]

const char * MemBuffer::GetBuffer | ( | void |  | ) | const
| inline

Definition at line 118 of file membuffer.I.

## ◆ GetBufferSize()

size_t MemBuffer::GetBufferSize | ( | void |  | ) | const
| inline

Access to the BUffer Size Information.

Definition at line 105 of file membuffer.I.

Referenced by RingBuffer::BufferAvailabe(), and RingBuffer::Compress().

## ◆ GrowBuffer()

void MemBuffer::GrowBuffer | ( | size_t | len | ) |
| inline

Grow a buffer is needed to get to a sertion size No care is made here to preserve convtent unlike a vector of chars.

Definition at line 82 of file membuffer.I.

## ◆ InBufferRange()

bool MemBuffer::InBufferRange | ( | char * | inpos | ) |
| inline

Definition at line 126 of file membuffer.I.

## ◆ SetBuffer()

void MemBuffer::SetBuffer | ( | char * | data,
|  | size_t | len )
| inline

Assigns a buffer.

Definition at line 66 of file membuffer.I.

The documentation for this class was generated from the following files:

- panda/src/nativenet/membuffer.h
- panda/src/nativenet/membuffer.I